Subject: bug#28266: 25.2; RMAIL FCC coding issue

From: Eli Zaretskii <[email-masked]>
Date: Fri, 22 Sep 2017 23:08:13 +0300

> Date: Fri, 22 Sep 2017 20:39:45 +0200
> From: [email-masked] (Charles A. Roelli)
> CC: [email-masked]
> 
> > Date: Fri, 22 Sep 2017 16:13:58 +0300
> > From: Eli Zaretskii <[email-masked]>
> > 
> > I cannot reproduce this with the current emacs-26 branch tip.
> > However, in my case, Emacs asked for a suitable coding-system each
> > time I wanted to send a message.  Answering UTF-8 produced a valid
> > encoding in both cases.
> > 
> > So perhaps the difference, and the reason for a problem you see, is
> > the default encoding in your case, which you didn't show.  (In my
> > case, the default is Latin-1.)
> 
> Hmm, I was never queried for a coding system.

Because your default is UTF-8.  This is normal.

> I've repeated the issue on GNU/Linux with 25.3 and macOS with 25.3
> and emacs-26.  And I don't set any special locales/language
> environments:
> 
> > Important settings:
> >   value of $LANG: en_GB.UTF-8
> >   locale-coding-system: utf-8-unix

With en_US.UTF-8 on GNU/Linux, using the current emacs-26 branch, I
see no problem: both messages are sent with a correct encoding.

What happens if you don't visit the FCC file after the first message
is sent, only after the second?  Do you still see the second message
encoded incorrectly?